/*  Time.h created Nov 5, 2010
 *
 *  Copyright (C) 2010 Alexey Abel
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 *
 */

#ifndef TIME_H_
#define TIME_H_

#include <QWidget>
#include "Td.h"
#include <QTimer>


class Time : public QTimer
{
	Q_OBJECT

public:
	Time(QWidget* parent = NULLP, uchar speed = 0);


public slots:
	void setSpeed(uchar speed);


signals:
	void speedChanged(uchar newSpeed);
	void step();


private:
	//default duration is 32ms which is about 31fps
	const uchar intervalDuration;
	uchar currentSpeed_;
};

#endif /* TIME_H_ */
