/*  Td.h created Nov 6, 2010
 *
 *  Copyright (C) 2010 Alexey Abel
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 *
 */

#include "Towerdefence.h"
#include "Time.h"
#include <qgridlayout.h>
#include <Board.h>
#include <QList>
#include <QDebug>
#include <QPushButton>
#include <QTextEdit>
#include "UserInterface.h"



Towerdefence::Towerdefence(QWidget* parent)
    : QWidget(parent)
{
	//setFixedSize(QSize(1024,700));//TODO: refix when everything is ready
	QHBoxLayout* mainLeftRightLayout = new QHBoxLayout(this); // this connects the main layout to the widget, could also be done with this->setLayout(leftToRightInterface)
	// Outer border of window

	Board* board = new Board(/*this*/);
	mainLeftRightLayout->addWidget(board);



	QVBoxLayout* interface = new QVBoxLayout;

	QPushButton* start = new QPushButton(tr("&Start"));
	interface->addWidget(start);

	QPushButton* stop = new QPushButton(tr("S&top"));
	interface->addWidget(stop);

	QPushButton* toggleMapEditor = new QPushButton(tr("&Mapeditor on/off"));
	interface->addWidget(toggleMapEditor);

	EnemyButtons* enemyButtons = new EnemyButtons(NULLP);
	interface->addWidget(enemyButtons);

	interface->addStretch();

	QTextEdit* text = new QTextEdit("herro prease!");
	interface->addWidget(text);
	text->setMinimumWidth(160);

	mainLeftRightLayout->addLayout(interface);



	connect(toggleMapEditor, SIGNAL(clicked()), board, SLOT(toggleEditor()));
	connect(enemyButtons, SIGNAL(buttonClicked(int)), board, SLOT(addEnemy(int)));


	board->setGoal(CellCoordinate(70,30));
}

Towerdefence::~Towerdefence()
{

}
